Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
transactions
/
sweep
/
assets
Trigger Asset Sweep
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/transactions/sweep/assets \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "forceSweep": "OPTIONAL_BOOLEAN",
  "transactionId": "92d9542b-9522-4a5d-917f-c0786627b061"
}
'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/transactions/sweep/assets"

payload = {
"forceSweep": "OPTIONAL_BOOLEAN",
"transactionId": "92d9542b-9522-4a5d-917f-c0786627b061"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
forceSweep: 'OPTIONAL_BOOLEAN',
transactionId: '92d9542b-9522-4a5d-917f-c0786627b061'
})
};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/transactions/sweep/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Sweep initiated successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Headers

x-api-key
string
Example:

"ochXKmSkc2kbz+6baHxf6FRgcbK9iHItOtWl80uJBVXfZnmHCNKLzeYHaoV2pPmlMmcrh+tNkkKpxslc2FAIxA=="

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
forceSweep
string
Example:

"OPTIONAL_BOOLEAN"

transactionId
string
Example:

"92d9542b-9522-4a5d-917f-c0786627b061"

Response

200 - application/json

200

message
string
Example:

"Sweep initiated successfully"

statusCode
number
Example:

200